# Source code for azure.mgmt.logic.models.request_py3

    # coding=utf-8
    # --------------------------------------------------------------------------
    # Copyright (c) Microsoft Corporation. All rights reserved.
    # Licensed under the MIT License. See License.txt in the project root for
    # license information.
    #
    # Code generated by Microsoft (R) AutoRest Code Generator.
    # Changes may cause incorrect behavior and will be lost if the code is
    # regenerated.
    # --------------------------------------------------------------------------

    from msrest.serialization import Model

    class Request(Model):
        """A request.

        :param headers: A list of all the headers attached to the request.
        :type headers: object
        :param uri: The destination for the request.
        :type uri: str
        :param method: The HTTP method used for the request.
        :type method: str
        """

        _attribute_map = {
            'headers': {'key': 'headers', 'type': 'object'},
            'uri': {'key': 'uri', 'type': 'str'},
            'method': {'key': 'method', 'type': 'str'},
        }

        def __init__(self, *, headers=None, uri: str=None, method: str=None, **kwargs) -> None:
            super(Request, self).__init__(**kwargs)
            self.headers = headers
            self.uri = uri
            self.method = method